=== debian/changelog ===
rock-master-19.06-multiagent-fipa-services (0.20171213-1~xenial) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-multiagent/multiagent-fipa_services.git
  * branch: refs/heads/master
  * commit: b8ef3d6005e4987f6184f43de9014442fd9afea7
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Sat, 06 Jul 2019 14:58:44 +0200
