=== debian/control ===
Source: rock-master-19.06-multiagent-fipa-services
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, build-essential, cmake, libudt-dev, rock-master-19.06-base-cmake, rock-master-19.06-multiagent-fipa-acl, rock-master-19.06-tools-service-discovery
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-multiagent-fipa-services
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-base-cmake, rock-master-19.06-multiagent-fipa-acl, rock-master-19.06-tools-service-discovery, cmake, build-essential, libudt-dev
Description: FIPA based services
 Implementation of FIPA services such as message transport service and service directory
